# Mobile To UAN

The Mobile to UAN (Universal Account Number) API provides the mobile number with UAN and retrieve transaction ID associated with specific UAN.

### mobile\_uan

`POST` `https://secctrl.tutelar.io/api/v1/kyc/banking/mobile_uan`

#### Post parameters description is given below

| Post Parameter | Type   | Is Mandatory | Description   |
| -------------- | ------ | ------------ | ------------- |
| mobile\_number | String | Yes          | Mobile Number |

#### Sample Post Parameters

```json
{
  "mobile_number": "8098125195"
}
```

200: Success Response

400: Validation Error Response

200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "status": "completed",
  "reference_id": "a5329996-9c32-4528-839c-a2c1d01d3adf",
  "result": {
    "uan": "101831710449",
    "txnId": "7e3be1db-8a5a-4621-b591-c82b14e7518f"
  },
  "requested_at": "2024-03-07T07:31:36.763Z",
  "completed_at": "2024-03-07T07:31:37.885Z"
}
```

```json
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "Invalid mobile number",
    "field": "mobile_number",
    "code": "BAD_REQUEST"
  }
}
```

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "ecd78066-c7e9-4c9b-ba97-8eb18ed32947",
  "status": "failed",
  "error": {
    "message": "Validation Failed",
    "code": "ERROR"
  },
  "requested_at": "2024-03-14T05:21:05.793Z",
  "completed_at": "2024-03-14T05:21:07.640Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/mobile-to-uan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
